#### Description:

This function normalises a set of Frame coordinate values which might be unsuitable for display (e.g. may lie outside the expected range) into a set of acceptable values suitable for display.

#### Synopsis

void astNorm( AstFrame ∗this, double value[] )

#### Parameters:

##### this

Pointer to the Frame.

##### value

An array of double, with one element for each Frame axis (Naxes attribute). Initially, this should contain a set of coordinate values representing a point in the space which the Frame describes. If these values lie outside the expected range for the Frame, they will be replaced with more acceptable (normalised) values. Otherwise, they will be returned unchanged.

#### Notes:

- For some classes of Frame, whose coordinate values are not constrained, this function will never modify the values supplied. However, for Frames whose axes represent cyclic quantities (such as angles or positions on the sky), coordinates will typically be wrapped into an appropriate standard range, such as zero to 2∗pi.

- The NormMap class is a Mapping which can be used to normalise a set of points using the astNorm function of a specified Frame.

- It is intended to be possible to put any set of coordinates into a form suitable for display by using this function to normalise them, followed by appropriate formatting (using astFormat).

Copyright (C) 2021 East Asian Observatory